Package org.kapott.hbci.security.factory

# Class CryptFactory

java.lang.Object
org.kapott.hbci.tools.ObjectFactory
org.kapott.hbci.security.factory.CryptFactory

public class CryptFactory extends ObjectFactory

## Field Summary

### Fields inherited from class org.kapott.hbci.tools.ObjectFactory

`currentPoolSize, freeObjects, usedObjects`

## Method Summary

Modifier and Type
Method
Description
`Crypt`
`createCrypt(IHandlerData handlerdata, MSG msg)`
`static CryptFactory`
`getInstance()`
`void`
`unuseObject(Object o)`

### Methods inherited from class org.kapott.hbci.tools.ObjectFactory

`addToFreePool, addToUsedPool, getFreeObject, getFreeObjects, getUsedObjects, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getInstance

public static CryptFactory getInstance()

### createCrypt

public Crypt createCrypt(IHandlerData handlerdata, MSG msg)

### unuseObject

public void unuseObject(Object o)

Overrides:
  `unuseObject` in class `ObjectFactory`